ranges-list.hpp File Reference

Go to the source code of this file.

## Classes

class | Gecode::Iter::Ranges::RangeListIter
| Iterator over range lists. More...
class | Gecode::Iter::Ranges::RangeListIter::RangeList
| Range list class. More...
class | Gecode::Iter::Ranges::RangeListIter::RLIO
| Shared object for allocation. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Iter
| Range and value iterators.
namespace | Gecode::Iter::Ranges
| Range iterators.